package metrics

import (
	. "github.com/pivotal-cf-experimental/mysql-metrics/logger"
)

type MetricWriter struct {
	sender Sender
	logger MetricsLogger
}

func NewMetricWriter(sender Sender, logger MetricsLogger) *MetricWriter {
	return &MetricWriter{sender, logger}
}

func (writer *MetricWriter) Write(metric *Metric) error {
	writer.logger.Debug("Emitted metric", map[string]interface{}{"metric": metric})

	return writer.sender.SendValue(metric.Key, metric.Value, metric.Unit)
}
